org.apache.solr.client.solrj.cloud.autoscaling

## Class Policy.Session

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Policy.Session

All Implemented Interfaces:
  MapSerializable, MapWriter

Enclosing class:
  Policy

    public class Policy.Session
    extends Object
    implements MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Method Summary

All Methods Instance Methods Concrete Methods
`Row` `getNode(String node)`
`NodeStateProvider` `getNodeStateProvider()`
`Policy` `getPolicy()`
`List<Row>` `getSortedNodes()`
`Suggester` `getSuggester(CollectionParams.CollectionAction action)`
`List<Violation>` `getViolations()`
`int` `indexOf(String node)`
`String` `toString()`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Method Detail

#### getNode

    public Row getNode(String node)

#### getPolicy

    public Policy getPolicy()

#### getViolations

    public List<Violation> getViolations()

#### getSuggester

    public Suggester getSuggester(CollectionParams.CollectionAction action)

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getSortedNodes

    public List<Row> getSortedNodes()

#### getNodeStateProvider

    public NodeStateProvider getNodeStateProvider()

#### indexOf

    public int indexOf(String node)